Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet
Class UnavailableException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--javax.servlet.ServletException
                        |
                        +--javax.servlet.UnavailableException

All Implemented Interfaces:
  java.io.Serializable

public class UnavailableException
extends ServletException

See Also:
  Serialized Form

Constructor Summary
`UnavailableException(int sec, Servlet servlet, java.lang.String message)` Deprecated.
`UnavailableException(Servlet servlet, java.lang.String message)` Deprecated.
`UnavailableException(java.lang.String message)`
`UnavailableException(java.lang.String message, int sec)`

Method Summary
`Servlet` | `getServlet()` Deprecated.
`int` | `getUnavailableSeconds()`
`boolean` | `isPermanent()`

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnavailableException

    public UnavailableException(java.lang.String message)

### UnavailableException

    public UnavailableException(java.lang.String message,
                                int sec)

### UnavailableException

    public UnavailableException(Servlet servlet,
                                java.lang.String message)

  Deprecated.

### UnavailableException

    public UnavailableException(int sec,
                                Servlet servlet,
                                java.lang.String message)

  Deprecated.

Method Detail

### getUnavailableSeconds

    public int getUnavailableSeconds()

### isPermanent

    public boolean isPermanent()

### getServlet

    public Servlet getServlet()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD